//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "TCOMM_32.hpp"
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TButton *Button1;
	TCommPort *CommPort1;
	TButton *Button2;
	TButton *Button3;
	TMemo *Memo2;
	TStatusBar *StatusBar1;
	TMemo *Memo1;
	TButton *Button4;
	TButton *Button5;
	TPanel *Panel1;
	TShape *LiteCTS;
	TLabel *Label1;
	TShape *Shape1;
	TLabel *Label2;
	TLabel *Label3;
	TShape *Shape2;
	TLabel *Label4;
	TShape *LiteDSR;
	TLabel *Label5;
	TShape *LiteRLSD;
	TLabel *Label6;
	TShape *LiteRing;
	TLabel *Label7;
	TShape *Shape3;
	TLabel *Label8;
	TShape *LiteTxD;
	TLabel *Label9;
	TShape *Shape5;
	TLabel *Label10;
	TShape *LiteRxD;
	TBevel *Bevel1;
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall CommPort1Receive(apBuffer bufptr, int size);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall Button5Click(TObject *Sender);
    void __fastcall UpdateLights();
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);

};
class TSettings : public TObject
{
public:
  String PortName, Speed, Parity, StopBits;
  bool PCheck;
  Integer Size;
  void __fastcall Set(TCommPort *Port);
  __fastcall TSettings();
};

//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
