//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Set.h"
#include "Main.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TfrmSettings *frmSettings;
TSettings *Settings = new TSettings();
//---------------------------------------------------------------------------
__fastcall TfrmSettings::TfrmSettings(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall TSettings::TSettings()
	: TObject()
{
 PortName="COM1";
 Speed="9800";
 Parity="NONE";
 PCheck=False;
 Size=8;

}
//---------------------------------------------------------------------------

void __fastcall TSettings::Set(TCommPort *Port)
{
 Port->ComPort        = PortName;
 Port->Baud           = Speed;
 Port->ParityEnable   = PCheck;
if (StopBits=="_1")   Port->StopBits=_1;
if (StopBits=="_1_5") Port->StopBits=_1_5;
if (StopBits=="_2")   Port->StopBits=_2;

if (Parity=="None") Port->Parity=None;
if (Parity=="Mark") Port->Parity=Mark;
if (Parity=="Even") Port->Parity=Even;
if (Parity=="Odd")  Port->Parity=Odd;
if (Parity=="Space")Port->Parity=Space;


switch (Size)
{
 case 6: Port->ByteSize=_6;break;
 case 7: Port->ByteSize=_7;break;
 case 8: Port->ByteSize=_8;break;
}



}
//---------------------------------------------------------------------------
void __fastcall TfrmSettings::FormShow(TObject *Sender)
{
  switch (Form1->CommPort1->ByteSize)
  {
   case _6:rgByte->ItemIndex=0;break;
   case _7:rgByte->ItemIndex=1;break;
   case _8:rgByte->ItemIndex=2;break;
  }
  switch (rgByte->ItemIndex)
  {
  case 0: Settings->Size=6;break;
  case 1: Settings->Size=7;break;
  case 2: Settings->Size=8;break;
  }

  switch (Form1->CommPort1->ParityEnable)
  {
   case True : rgParity->ItemIndex=0;break;
   case False: rgParity->ItemIndex=1;break;
  }
  Settings->PCheck=Form1->CommPort1->ParityEnable;


  switch (Form1->CommPort1->StopBits)
  {
   case _1  : rgStop->ItemIndex=0;break;
   case _1_5: rgStop->ItemIndex=1;break;
   case _2  : rgStop->ItemIndex=2;break;
  }
  Settings->StopBits=String(Form1->CommPort1->StopBits);


  frmSettings->cbComm->Text=Form1->CommPort1->ComPort;
  Settings->PortName=Form1->CommPort1->ComPort;

  Settings->Speed=Form1->CommPort1->Baud;
  frmSettings->cbSpeed->Text=Form1->CommPort1->Baud;

}
//---------------------------------------------------------------------------
void __fastcall TfrmSettings::Button2Click(TObject *Sender)
{
 frmSettings->Close();
}
//---------------------------------------------------------------------------
void __fastcall TfrmSettings::Button1Click(TObject *Sender)
{
 if(Form1->CommPort1->WComID<1)//in other words: if port is not opened (no handle assigned)
 {
   Settings->PortName       = frmSettings->cbComm->Text;
   Settings->Speed          = frmSettings->cbSpeed->Text;
   Settings->Parity         = frmSettings->cbParity->Text;
   switch (rgParity->ItemIndex)
   {    
    case 0: Settings->PCheck=True;break;
    case 1: Settings->PCheck=False;break;
   }

   switch (rgStop->ItemIndex)
   {
    case 0: Settings->StopBits="_1";break;
    case 1: Settings->StopBits="_1_5";break;
    case 2: Settings->StopBits="_2";break;
   }

   switch (rgByte->ItemIndex)
   {
    case 0: Settings->Size=6;break;
    case 1: Settings->Size=7;break;
    case 2: Settings->Size=8;break;
   }
   Settings->Set(Form1->CommPort1);
   Close();
 }//if port is not opened
 else
 {
 Application->MessageBox("Unable to set port - it is already opened. Use Cancel button.", "ACSI",0);
 }
}
//---------------------------------------------------------------------------
